> ## Documentation Index
> Fetch the complete documentation index at: https://docs.explo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Blueprints

This endpoint gets all blueprints for a customer.

### Body

<ParamField body="customer_id" type="string" required>
  Your customer id
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<ResponseField name="blueprints" type="List Blueprint Object">
  List of blueprints attached to that customer

  <Expandable title="blueprint">
    <ResponseField name="id" type="number">
      Blueprint id used for updating
    </ResponseField>

    <ResponseField name="embed_id" type="string">
      Embed id used for embedding blueprint
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of blueprint
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.explo.co/api/get_customer_blueprints/' \
  --header 'Content-Type: application/json' \
  --header 'Explo-Authorization: Token <token>' \
  --data-raw '{ "customer_id": "8698a0e4-009d-4b2d-8a41-d7f35cf08b98" }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1,
    "blueprints": [
      { "id": 10, "embed_id": "A14aZ3", "name": "Customer 1 Blueprint" }
    ]
  }
  ```
</ResponseExample>
